# Zulu

Zulu: [![GitHub release](https://img.shields.io/github/release/zulu-zsh/zulu.svg)](https://github.com/zulu-zsh/zulu/releases/latest) [![Build Status](https://travis-ci.org/zulu-zsh/zulu.svg?branch=master)](https://travis-ci.org/zulu-zsh/zulu) | Index: [![Build Status](https://travis-ci.org/zulu-zsh/index.svg?branch=master)](https://travis-ci.org/zulu-zsh/index) | [![Join the chat at https://gitter.im/zulu-zsh/zulu](https://badges.gitter.im/zulu-zsh/zulu.svg)](https://gitter.im/zulu-zsh/zulu?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

Thanks for using Zulu. Zulu is a environment manager for ZSH, which aims to make it easy to manage your shell without writing any code.

## Features

* Easily manage your shell environment without editing files.
* Create aliases, functions and environment variables, and have them available to you at the next shell startup.
* Add and remove directories from `$path`, `$fpath` and `$cdpath` with simple commands.
* Install packages, plugins and themes easily, and have them available to you immediately.

## Requirements

* ZSH `5.0.2` or above
* git `1.9.1` or above

## Installation

Zulu comes with its own install script, which is the recommended method of install.

```sh
curl -L https://zulu.sh/install | zsh && zsh
```

If you'd rather not pipe a script into ZSH, take a look at the [manual installation process](https://zulu.sh/docs/getting-started/manual-installation).

## Usage

For detailed usage instructions, take a look at Zulu's [official documentation](https://zulu.sh/docs)

## Contributing

All contributions are welcome, and encouraged. Please read our [contribution guidelines](CONTRIBUTING.md) and [code of conduct](CODE-OF-CONDUCT.md) for more information.

## License

Copyright (c) 2016 James Dinsdale <hi@molovo.co> (molovo.co)

Zulu is licensed under The MIT License (MIT)

Icon is [Shield](https://thenounproject.com/search/?q=zulu&i=163736) by Ivan Colic from The Noun Project

## Team

* [James Dinsdale](http://molovo.co)
